Skip to content

Lambda  >  Operations  >  get_function_url_config

get_function_url_config

Operation

get_function_url_config async

get_function_url_config(input: GetFunctionUrlConfigInput, plugins: list[Plugin] | None = None) -> GetFunctionUrlConfigOutput

Returns details about a Lambda function URL.

Parameters:

Name Type Description Default
input GetFunctionUrlConfigInput

An instance of GetFunctionUrlConfigInput.

required
plugins list[Plugin] | None

A list of callables that modify the configuration dynamically. Changes made by these plugins only apply for the duration of the operation execution and will not affect any other operation invocations.

None

Returns:

Type Description
GetFunctionUrlConfigOutput

An instance of GetFunctionUrlConfigOutput.

Input

GetFunctionUrlConfigInput dataclass

Dataclass for GetFunctionUrlConfigInput structure.

Attributes

function_name class-attribute instance-attribute
function_name: str | None = None

The name or ARN of the Lambda function.

Name formats

  • Function name -- my-function.

  • Function ARN -- arn:aws:lambda:us-west-2:123456789012:function:my-function.

  • Partial ARN -- 123456789012:function:my-function.

The length constraint applies only to the full ARN. If you specify only the function name, it is limited to 64 characters in length.

qualifier class-attribute instance-attribute
qualifier: str | None = None

The alias name.

Output

GetFunctionUrlConfigOutput dataclass

Dataclass for GetFunctionUrlConfigOutput structure.

Attributes

auth_type instance-attribute

The type of authentication that your function URL uses. Set to AWS_IAM if you want to restrict access to authenticated users only. Set to NONE if you want to bypass IAM authentication to create a public endpoint. For more information, see Control access to Lambda function URLs.

cors class-attribute instance-attribute
cors: Cors | None = None

The cross-origin resource sharing (CORS) settings for your function URL.

creation_time instance-attribute
creation_time: str

When the function URL was created, in ISO-8601 format (YYYY-MM-DDThh:mm:ss.sTZD).

function_arn instance-attribute
function_arn: str

The Amazon Resource Name (ARN) of your function.

function_url instance-attribute
function_url: str

The HTTP URL endpoint for your function.

invoke_mode class-attribute instance-attribute
invoke_mode: InvokeMode | None = None

Use one of the following options:

  • BUFFERED -- This is the default option. Lambda invokes your function using the Invoke API operation. Invocation results are available when the payload is complete. The maximum payload size is 6 MB.

  • RESPONSE_STREAM -- Your function streams payload results as they become available. Lambda invokes your function using the InvokeWithResponseStream API operation. The maximum response payload size is 200 MB.

last_modified_time instance-attribute
last_modified_time: str

When the function URL configuration was last updated, in ISO-8601 format (YYYY-MM-DDThh:mm:ss.sTZD).